curl --request GET \
--url https://test.deribit.com/api/v2/public/get_announcements \
--header 'Content-Type: application/json' \
--data '
{
"jsonrpc": "2.0",
"id": 7661,
"method": "public/get_announcements",
"params": {}
}
'import requests
url = "https://test.deribit.com/api/v2/public/get_announcements"
payload = {
"jsonrpc": "2.0",
"id": 7661,
"method": "public/get_announcements",
"params": {}
}
headers = {"Content-Type": "application/json"}
response = requests.get(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({jsonrpc: '2.0', id: 7661, method: 'public/get_announcements', params: {}})
};
fetch('https://test.deribit.com/api/v2/public/get_announcements', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"jsonrpc": "2.0",
"id": 3022,
"result": [
{
"title": "Example announcement",
"publication_timestamp": 1550058362418,
"important": false,
"id": 1550058362418,
"body": "Lorem ipsum dolor sit amet, consectetur adipiscing elit."
}
]
}public/get_announcements
Retrieves platform announcements and important notices. Announcements include system updates, maintenance schedules, new features, policy changes, and other important information.
Results are returned in reverse chronological order (newest first). The default start_timestamp is the current time, and the count parameter must be between 1 and 50 (default is 5).
Query Parameters
The most recent timestamp to return the results for (milliseconds since the UNIX epoch) The timestamp (milliseconds since the Unix epoch)
1536569522277
Maximum count of returned announcements, default - 5, maximum - 50
1 <= x <= 5010
Response
Success response
The JSON-RPC version (2.0)
2.0 Hide child attributes
Hide child attributes
The HTML body of the announcement
"An announcement"
The timestamp (milliseconds since the Unix epoch) of announcement publication
1527844253000
A unique identifier for the announcement
19288317
Whether the announcement is marked as important
false
The title of the announcement
"Example announcement"
Whether the user confirmation is required for this announcement
false
The id that was sent in the request
Was this page helpful?